LIB_C = lib/files.c lib/log.c lib/object.c lib/pcr.c lib/tool_rc.c lib/tpm2.c lib/tpm2_alg_util.c lib/tpm2_attr_util.c lib/tpm2_auth_util.c lib/tpm2_capability.c lib/tpm2_cc_util.c lib/tpm2_convert.c lib/tpm2_ctx_mgmt.c lib/tpm2_errata.c lib/tpm2_eventlog.c lib/tpm2_eventlog_yaml.c lib/tpm2_hash.c lib/tpm2_hierarchy.c lib/tpm2_identity_util.c lib/tpm2_kdfa.c lib/tpm2_kdfe.c lib/tpm2_openssl.c lib/tpm2_options.c lib/tpm2_policy.c lib/tpm2_session.c lib/tpm2_tool_output.c lib/tpm2_util.c 
LIB_H = lib/efi_event.h lib/files.h lib/log.h lib/object.h lib/pcr.h lib/tool_rc.h lib/tpm2.h lib/tpm2_alg_util.h lib/tpm2_attr_util.h lib/tpm2_auth_util.h lib/tpm2_capability.h lib/tpm2_cc_util.h lib/tpm2_convert.h lib/tpm2_ctx_mgmt.h lib/tpm2_errata.h lib/tpm2_eventlog.h lib/tpm2_eventlog_yaml.h lib/tpm2_hash.h lib/tpm2_header.h lib/tpm2_hierarchy.h lib/tpm2_identity_util.h lib/tpm2_kdfa.h lib/tpm2_kdfe.h lib/tpm2_nv_util.h lib/tpm2_openssl.h lib/tpm2_options.h lib/tpm2_policy.h lib/tpm2_session.h lib/tpm2_systemdeps.h lib/tpm2_tool_output.h lib/tpm2_util.h 
LIB_SRC = $(LIB_C) $(LIB_H)
SYSTEM_TESTS = test/integration/tests/X509certutil.sh test/integration/tests/abrmd_extended-sessions.sh test/integration/tests/abrmd_nvundefinespecial.sh test/integration/tests/abrmd_policyauthorize.sh test/integration/tests/abrmd_policyauthorizenv.sh test/integration/tests/abrmd_policyauthvalue.sh test/integration/tests/abrmd_policycommandcode.sh test/integration/tests/abrmd_policycountertimer.sh test/integration/tests/abrmd_policycphash.sh test/integration/tests/abrmd_policyduplicationselect.sh test/integration/tests/abrmd_policynamehash.sh test/integration/tests/abrmd_policynv.sh test/integration/tests/abrmd_policynvwritten.sh test/integration/tests/abrmd_policyor.sh test/integration/tests/abrmd_policypassword.sh test/integration/tests/abrmd_policypcr.sh test/integration/tests/abrmd_policysecret.sh test/integration/tests/abrmd_policysigned.sh test/integration/tests/abrmd_policytemplate.sh test/integration/tests/abrmd_policyticket.sh test/integration/tests/activecredential.sh test/integration/tests/attestation.sh test/integration/tests/certify.sh test/integration/tests/certifycreation.sh test/integration/tests/changeauth.sh test/integration/tests/changeeps.sh test/integration/tests/changepps.sh test/integration/tests/checkquote.sh test/integration/tests/clear.sh test/integration/tests/clearcontrol.sh test/integration/tests/clockrateadjust.sh test/integration/tests/commandaudit.sh test/integration/tests/create.sh test/integration/tests/createak.sh test/integration/tests/createek.sh test/integration/tests/createpolicy.sh test/integration/tests/createprimary.sh test/integration/tests/dictionarylockout.sh test/integration/tests/duplicate.sh test/integration/tests/ecc.sh test/integration/tests/encodeobject.sh test/integration/tests/encryptdecrypt.sh test/integration/tests/eventlog.sh test/integration/tests/evictcontrol.sh test/integration/tests/flushcontext.sh test/integration/tests/forward-seal.sh test/integration/tests/getcap.sh test/integration/tests/getekcertificate.sh test/integration/tests/getpolicydigest.sh test/integration/tests/getrandom.sh test/integration/tests/gettestresult.sh test/integration/tests/gettime.sh test/integration/tests/hash.sh test/integration/tests/hierarchycontrol.sh test/integration/tests/hmac.sh test/integration/tests/import.sh test/integration/tests/import_tpm.sh test/integration/tests/incrementalselftest.sh test/integration/tests/load.sh test/integration/tests/loadexternal.sh test/integration/tests/makecredential.sh test/integration/tests/nv.sh test/integration/tests/nvcertify.sh test/integration/tests/nvinc.sh test/integration/tests/output_formats.sh test/integration/tests/pcrallocate.sh test/integration/tests/pcrevent.sh test/integration/tests/pcrextend.sh test/integration/tests/pcrlist.sh test/integration/tests/pcrreset.sh test/integration/tests/pcrs_format.sh test/integration/tests/print.sh test/integration/tests/quote.sh test/integration/tests/rc_decode.sh test/integration/tests/readclock.sh test/integration/tests/readpublic.sh test/integration/tests/rsadecrypt.sh test/integration/tests/rsaencrypt.sh test/integration/tests/selftest.sh test/integration/tests/send-tcti-cmd.sh test/integration/tests/send.sh test/integration/tests/sessionaudit.sh test/integration/tests/sessionconfig.sh test/integration/tests/setclock.sh test/integration/tests/setprimarypolicy.sh test/integration/tests/sign.sh test/integration/tests/startup.sh test/integration/tests/stirrandom.sh test/integration/tests/symlink.sh test/integration/tests/testparms.sh test/integration/tests/toggle_options.sh test/integration/tests/tr_encode.sh test/integration/tests/unseal.sh test/integration/tests/verifysignature.sh 
ALL_SYSTEM_TESTS = $(SYSTEM_TESTS)
FAPI_TESTS = test/integration/fapi/fapi-authorize-policy.sh test/integration/fapi/fapi-authorize-policy_ecc.sh test/integration/fapi/fapi-branch-select.sh test/integration/fapi/fapi-branch-select_ecc.sh test/integration/fapi/fapi-encrypt-decrypt.sh test/integration/fapi/fapi-encrypt-decrypt_ecc.sh test/integration/fapi/fapi-export-key.sh test/integration/fapi/fapi-export-key_ecc.sh test/integration/fapi/fapi-export-policy.sh test/integration/fapi/fapi-export-policy_ecc.sh test/integration/fapi/fapi-get-info.sh test/integration/fapi/fapi-get-info_ecc.sh test/integration/fapi/fapi-get-platform-certificates.sh test/integration/fapi/fapi-get-platform-certificates_ecc.sh test/integration/fapi/fapi-get-random.sh test/integration/fapi/fapi-get-random_ecc.sh test/integration/fapi/fapi-get-tpm-blobs.sh test/integration/fapi/fapi-get-tpm-blobs_ecc.sh test/integration/fapi/fapi-gettpm2object.sh test/integration/fapi/fapi-gettpm2object_ecc.sh test/integration/fapi/fapi-key-change-auth.sh test/integration/fapi/fapi-key-change-auth_ecc.sh test/integration/fapi/fapi-list.sh test/integration/fapi/fapi-list_ecc.sh test/integration/fapi/fapi-nv-extend.sh test/integration/fapi/fapi-nv-extend_ecc.sh test/integration/fapi/fapi-nv-increment.sh test/integration/fapi/fapi-nv-increment_ecc.sh test/integration/fapi/fapi-nv-set-bits.sh test/integration/fapi/fapi-nv-set-bits_ecc.sh test/integration/fapi/fapi-nv-write-authorize.sh test/integration/fapi/fapi-nv-write-authorize_ecc.sh test/integration/fapi/fapi-nv-write-read-policy-or.sh test/integration/fapi/fapi-nv-write-read-policy-or2.sh test/integration/fapi/fapi-nv-write-read-policy-or2_ecc.sh test/integration/fapi/fapi-nv-write-read-policy-or_ecc.sh test/integration/fapi/fapi-nv-write-read.sh test/integration/fapi/fapi-nv-write-read_ecc.sh test/integration/fapi/fapi-pcr-extend-read.sh test/integration/fapi/fapi-pcr-extend-read_ecc.sh test/integration/fapi/fapi-policy_signed.sh test/integration/fapi/fapi-policy_signed_delegation.sh test/integration/fapi/fapi-policy_signed_delegation_ecc.sh test/integration/fapi/fapi-policy_signed_ecc.sh test/integration/fapi/fapi-provision.sh test/integration/fapi/fapi-provision_ecc.sh test/integration/fapi/fapi-quote-verify.sh test/integration/fapi/fapi-quote-verify_ecc.sh test/integration/fapi/fapi-seal-unseal.sh test/integration/fapi/fapi-seal-unseal_ecc.sh test/integration/fapi/fapi-set-get-app-data.sh test/integration/fapi/fapi-set-get-app-data_ecc.sh test/integration/fapi/fapi-set-get-certificate.sh test/integration/fapi/fapi-set-get-certificate_ecc.sh test/integration/fapi/fapi-set-get-description.sh test/integration/fapi/fapi-set-get-description_ecc.sh test/integration/fapi/fapi-sign-verify.sh test/integration/fapi/fapi-sign-verify_ecc.sh test/integration/fapi/fapi-testing-template.sh test/integration/fapi/fapi-testing-template_ecc.sh 
ALL_FAPI_TESTS = $(FAPI_TESTS)
